=== debian/changelog ===
ltsp (0.58) breezy; urgency=low

  * Don't allow a broken dhcpd.conf to abort the ltsp-server-standalone
    postinst

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  6 Oct 2005 13:12:08 -0700

ltsp (0.57) breezy; urgency=low

  * Copy the server keymap as the client default

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 23 Sep 2005 10:01:44 -0700

ltsp (0.56) breezy; urgency=low

  * Bump version to supersede 0.55 (changes were incorporated)
  * Don't install mdetect in ltsp-build-client; it's no longer used by X.org

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  9 Sep 2005 10:23:20 -0700

ltsp (0.54) breezy; urgency=low

  * Use /etc/X11/Xsession rather than x-session-manager
  * Restart nfs-kernel-server and dhcp3-server on installation to effect
    changes immediately

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 11:59:01 -0700

ltsp (0.53) breezy; urgency=low

  * Add missing dependency on netkit-inetd to ltsp-server, so that tftpd-hpa
    works out of the box

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 25 Aug 2005 09:28:02 -0700

ltsp (0.52) breezy; urgency=low

  * Use loadkeys rather than install-keymap, to avoid involving debconf
  * Don't allow failures within config steps in ltsp-client-setup to cause
    an overall failure
  * Make default bind mounts more liberal; didn't work for me with only these
  * Merge bindmount fixes (Vagrant Cascadian)
  * Mark sdm executable (Vagrant Cascadian)
  * Implement temp_copy_dirs, to copy directories during setup but free
    them afterward to save memory
  * Support for mkvmlinuz on powerpc (Vagrant Cascadian)
  * Set default hostname to "ltsp"
  * Ensure that /etc/hosts exists, so that we can bind-mount it
  * Add /etc/hotplug/.run to rw_dirs
  * Replace use_bind_mounts variable with root_write_method, default to
    bind_mounts (also support "unionfs")

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 19 Aug 2005 16:58:11 -0700

ltsp (0.51) breezy; urgency=low

  * Only require one of syslinux, mknbi or yaboot

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 18 Aug 2005 09:36:50 -0700

ltsp (0.50) breezy; urgency=low

  * Enhance ltsp-update-kernels to create etherboot NBI images
  * ltsp-server Depends: mknbi

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 17 Aug 2005 19:38:04 -0700

ltsp (0.49) breezy; urgency=low

  * Fix xserver-xorg test in ltsp-client-setup

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Aug 2005 13:15:01 -0700

ltsp (0.48) breezy; urgency=low

  * Further improvements to the gtk ldm greeter from Oliver Grawert
  * ltsp-client Depends: gtk2-engines-clearlooks for the gtk greeter

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 15 Aug 2005 10:47:50 -0700

ltsp (0.47) breezy; urgency=low

  * Merge patches from Vagrant Cascadian's ltsp--ubuntufixes--0 branch:
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--base-0
        tag of matt.zimmerman@canonical.com/ltsp--main--0--patch-155
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-1
        only set default for ROOT, DIST and MIRROR if not already set
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-2
        turn archive components into COMPONENTS variable
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-3
        add EARLY_PACKAGES and LATE_PACKAGES variables
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-4
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-5
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-6
        merge vagrant@freegeek.org--2005/ltsp--fixes--0--patch-21
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-7
        avoid hard-coded i386 in client directory
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-8
        merged from pere@hungry.com--2005/ltsp--fixes--0: support udev/devfs for ldm
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-9
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: support both xserver-xorg and xserver-xfree86 for sarge compatibility
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-10
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: change defaults if DIST is sarge
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-11
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: add commandline options
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-12
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add variable and commandline to add extra mirror
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-13
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: dist-upgrade before installing additional packages
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-14
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: mount /proc before dist-upgrade
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-15
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: support file:/// urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-16
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add /proc to umounts
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-17
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add DIST and COMPONENTS to EXTRA_MIRROR if not present
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-18
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: bugfixes: properly handle emtpy EXTRA_MIRROR and file urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-19
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: source configuration file
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-20
        merge changes from vagrant@freegeek.org--2005/ltsp--debian--0: add security mirror option

