=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.6.1

Package: ltsp-server
Depends: debootstrap, nfs-kernel-server, tftpd-hpa, netkit-inetd, syslinux | mknbi | mkvmlinuz 
Recommends: openssh-server | ssh
Suggests: dhcp3-server, sdm
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on external a DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, ltsp-utils, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Depends: lsb-base, nbd-client, openssh-client | ssh, python, python-gtk2, python-glade2, initramfs-tools (>= 0.11) | initrd-netboot-tools, gtk2-engines-clearlooks
Recommends: ubuntu-thin-client
Suggests: sdm-terminal
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
