## ltsp 0.58.2

=== debian/changelog ===
ltsp (0.58.2) breezy-updates; urgency=low

  * remove ltsp-utils from ltsp-server-standalone dependencys
  * (includes 0.58.1 version for broken upload)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Feb 2006 18:54:09 +0100
