=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  point the clients to the LTSP server.
 
 Package: ltsp-server-standalone
-Depends: ltsp-server, ltsp-utils, dhcp3-server
+Depends: ltsp-server, dhcp3-server
 Architecture: all
 Description: Complete LTSP server environment
  This is the complete environment including a DHCP server to bootstrap
