## ltsp 0.87

=== debian/changelog ===
ltsp (0.87) dapper; urgency=low

  * Set default for ltsp-client-builder/run to false, so that it's harmless
    by default to pull the ltsp-client-builder udeb into a running
    installer. (closes malone #46426)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 May 2006 21:37:59 +0100

ltsp (0.86) dapper; urgency=low

  * add --ignore-time-conflict to the apt/gpgv options in 
    ltsp-build-client to not break on systems with totally broken clock 
    settings (closes malone #41088)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  9 May 2006 16:54:20 +0200

ltsp (0.85) dapper; urgency=low

  * make ldm stop usplash before we start it, to prevent switching to
    tty1 (closes malone #39294)
  * make the SOUND variable really use boolean values (True/False), not
    "y" to keep consistency with ltsp.org docs
  * applied Pete Savages manpages for the adminscripts to ltsp-server 

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  8 May 2006 19:34:55 +0200

ltsp (0.84) dapper; urgency=low

  * Make ltsp-server Depends: | silo for sparc.
    This will make the overall ltsp installable for developers.
    It does *NOT* mean it works (yet).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 23 Mar 2006 06:15:16 +0100

ltsp (0.83) dapper; urgency=low

  * fix typo in ltsp-server description
  * fix indentation in ltsp-client.init
  * fix indentation error in X_MODE code of ltsp-client-setup
  * remove the unused configure_sound call in the ltsp-client-setup init script,
    thats handled in ltsp-client since some time
  * fixed ssh_known_hosts creation to not depend on ssh-keyscan
  
 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  9 Mar 2006 08:59:31 +0100

ltsp (0.82) dapper; urgency=low

  * move rc_cleanup function to the set of other functions at the top of
    ltsp-build-client, make it use update-rc.d and be less noisy
  * merge rev. 243-245 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/,
    bugfix to handle init.d scripts which are substrings of other scripts,
    like udev and udev-mtab. change init.d cleaning to avoid code
    duplication.
  * merge
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/ rev.
    238, fix sdm dependency of ltsp-client

 -- Oliver Grawert <ogra@ubuntu.com>  Sat,  4 Mar 2006 22:05:29 +0100

ltsp (0.81) dapper; urgency=low

  * clean up duplicate esd startup that slipped through in a bzr merge ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 24 Feb 2006 23:20:24 +0100

ltsp (0.80) dapper; urgency=low

  * merge -r234..235 from 
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/, 
    xauth handling for ldm
  * add proper python tempfile handling to the xauth code

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 17:28:03 +0100

ltsp (0.79) dapper; urgency=low

  * add shutdown icons to the themes for ldm
  * add shutdown function to ldm to easily shut down the clients 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 16:37:41 +0100

ltsp (0.78) dapper; urgency=low

  * merge -r228..229
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    option for ltsp-build-client to add additional keys to the apt keyring
    in the chroot
  * merge -r229..230
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    adds option to load debconf pre-seeding files in the chroot
    to ltsp-build-client
  * merge -r230..231
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    RCFILE handling 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 02:46:18 +0100

ltsp (0.77) dapper; urgency=low

  * added alternative handling to ldm for easier theme selection
  * merged revision 225-228 from
    http://developer.skolelinux.no/~pere/bzr-archives/pere-sound/, 
    adds nasd support and several code improvements (manually removed 
    the syslog code this patch adds from the initfunction)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    rev 237 from petter (Fall pack to mouse preseeding if inputattach is
    missing.)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    233 (handling of older gnomecanvas version for ldm)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 01:25:36 +0100

ltsp (0.76) dapper; urgency=low

  * fix ltsp-client -> ldm relationship, add ldm to EARLY_PACKAGES, add
    x-display-manager back to ltsp-client dependencys 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Feb 2006 20:45:26 +0100

ltsp (0.75) dapper; urgency=low

  * revert the x-display-manager dependency in ltsp-client, it breaks
    CD rom installs and the systme ends in gdm being installed, 
    needs further sorting if we want to keep x-display-manager there

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 21:43:16 +0100

ltsp (0.74) dapper; urgency=low

  * add powerpc support to ltsp-update-kernels, make it handle vmlinux images,
    handle yaboot copying and create yaboot.conf in tftproot

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:58:11 +0100

ltsp (0.73) dapper; urgency=low

  * fix KERNEL_ARCH for amd64, must be amd64-generic not just amd64 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:29:43 +0100

ltsp (0.72) dapper; urgency=low

  * fix bashism in ltsp_functions patch 236 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
  * cleaning up of startup links in rcS.d and rc2.d based on whitelist
    variables (RC2_WHITELIST RCS_WHITELIST), thin-client-faster-startup
    implemented :)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 16 Feb 2006 11:37:12 +0100

ltsp (0.71) dapper; urgency=low

  * fix the kernel handling for different architectures, only install
    linux-image-$(architecture), not the restricted modules 
    (low memory spec and multiarch support)
  * fix typos in EARLY_PACKAGES

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  8 Feb 2006 16:54:03 +0100

ltsp (0.70) dapper; urgency=low


