## ltsp 0.87.1

=== debian/changelog ===
ltsp (0.87.1) dapper-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the 
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  6 May 2008 14:51:50 +0000
