=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.6.2

Package: ltsp-server
Depends: debootstrap, nfs-kernel-server, tftpd-hpa, syslinux | mknbi | mkvmlinuz | aboot | silo, openssh-client | ssh, netkit-inetd, iproute, debconf-utils, esound-clients
Recommends: openssh-server | ssh
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.11) | initrd-netboot-tools
Recommends: ubuntu-thin-client
Suggests: nas
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python, python-gtk2, python-gnome2, python-glade2, gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, base-installer
XB-Installer-Menu-Item: 68
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.
