=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	dh_installexamples -i
 	dh_install -i -Xarch-ids
 #	dh_installmenu -i
-#	dh_installdebconf -i	
+	dh_installdebconf -i	
 #	dh_installlogrotate -i
 #	dh_installemacsen -i
 #	dh_installcatalogs -i
@@ -55,7 +55,7 @@
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
-	dh_installman -i
+	dh_installman -pltsp-server
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
