## ltsp 0.99debian11

=== debian/changelog ===
ltsp (0.99debian11) unstable; urgency=medium

  * urgency medium, as it fixes an RC bug and important bugs
  * install appropriate linux-image package for amd64. thanks to Damyan
    Ivanov. (Closes: #406357)
  * fixes to boolean handling (Closes: #405772)
  * drop dependency on initrd-netboot-tools as it was removed from Debian.
    (initramfs-tools is preferred anyways)
  * updated location of pkg-ltsp bzr repository

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 11 Jan 2007 00:38:01 -0700

ltsp (0.99debian10) unstable; urgency=medium

  * priority medium to get the updated translation into etch faster.
  * added spanish gettext translation. thanks to Felipe Caminos and Hector
    Colina. (Closes: #404404)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 24 Dec 2006 09:36:43 -0700

ltsp (0.99debian9) unstable; urgency=medium

  * urgency medium, it includes it fixes several important bugs:
  * fix ldm's boolean handling. thanks to Miro Zhorelicky for the patch.
    (Closes: #403471)
  * also mount /etc/network/run writeable for proper lo device configuration.
    (Closes: #403187)
  * fix execution of screen scripts in /etc/ltsp/screen.d (Closes: #403188)
  * install xorg instead of x-window-system-core transitional package in new
    LTSP chroot environments. (Closes: #403234)
  * updated local devices support. (Closes: #404154)

  * updated French gettext message. thanks to Cyril Brulebois.
  * updated gettext messages for Brazilian Portuguese.  (Closes: #403815)
    thanks to André Luís Lopes.

  * added Spanish debconf translations (Closes: #403604). thanks to Felipe
    Caminos.
  * added German debconf and gettext messages (Closes: #403568, #403597).
    thanks to Wolfgang Schweer.
  * added gettext translation for Catalan (Closes: #404064). thanks to Jordà
    Polo.

  * updated documentation for ltsp-build-client plugins.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 22 Dec 2006 14:58:18 -0700

ltsp (0.99debian8) unstable; urgency=low

  [Vagrant Cascadian]
  * drop recommends on inputattach (Closes: #396684)
  * change dependency on joystick to suggests
  * optimize check if inputattach should be used
  * change ltsp-client abort-installation debconf question to type "error" and
    priority "critical" (Closes: #398630)
  * only run ltsp-client init scripts if /etc/ltsp_chroot is present.
  * ltsp-build-client: simplified --arch handling (should work on all
    architectures now)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 14 Nov 2006 18:50:02 -0700

ltsp (0.99debian7) unstable; urgency=low

  [Vagrant Cascadian]
  * ltsp-client:
    - reorganize network boot dependencies
    - depend on joystick package for architectures that have it
  * ltsp-build-client:
    - do not manually install joystick package 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 31 Oct 2006 16:05:52 -0600

ltsp (0.99debian6) unstable; urgency=low

  [ Vagrant Cascadian ]
  * french translation of ltsp-build-client by Cyril Brulebois
    (Closes: #392891)
  * catalan debconf templates translation by JordÃ Polo (Closes: #393088)
  * ltsp-server:
    - make location of tftp directory configurable
    - updated swap documentation
    - support both etherboot and PXE in dhcpd.conf example
    - added man pages for nbdswapd and ldminfod
    - ltsp-update-kernels:
      + can be configured to use an alternate tftp directory
      + can be configured to not require running ltsp-update-kernels after
        every kernel update
  * ltsp-client:
    - support encrypted swap
      + add cryptsetup to suggests
    - start nbd swapping earlier
    - improved mouse support when inputattach is available
  * ltsp-build-client:
    - allow comma-separated list for commandline options:
      + late-packages (Closes: #393002)
      + early-packages
      + kernel-packages
      + debconf-seeds
      + apt-keys
    - populate /etc/hostname with "ltsp" instead of "ltsp-chroot"
    - install joystick package by default (for serial mice)
  * debian/control:
    - ltsp-client:
      + recommend inputattach | joystick
    - ltsp-server:
      + updated inetd related dependencies
  * added debian/NEWS file

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 28 Oct 2006 11:40:14 -0500

ltsp (0.99debian5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * urgency medium as it resolves copyright issues
  * merge copyright clarifications from upstream
  * update debian/copyright (Closes: #390797)
  * ltsp-server:
    - add dependency on gettext-base
    - add debian-archive-keyring in new ltsp chroots (Closes: #391878)
    - allow comma-separated components argument (Closes: #391805)
  * ltsp-client:
    - removed lp_server (unclear licensing)
  * ltsp-client-builder (udeb):
    - change menu priority to 70 and depend on pkgsel (Closes: #390722)
    - debconf preseeding for commandline options to ltsp-build-client
    - work around bug in debootstrap by touching resolv.conf

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon,  9 Oct 2006 10:16:13 -0400

ltsp (0.99debian3) unstable; urgency=high

  [ Vagrant Cascadian ]
  * urgency set to high, as this fixes an RC bug.
  * ltsp-client-builder:
    - disable use of security mirror for CD install
      (patch by Petter Reinholdtsen, Closes: #389276)
  * ltsp-client:
    - make mknbi a dependency for i386
    - allow custom screen scripts in /etc/ltsp/screen.d
  * ltsp-build-client:
    - only display advanced help options if called with --extra-help
  * debian/control:
    - add dependencies for "network audio system" as alternatives
      for esound.
  * translation updates:
    - Updated Czech translation of ltsp debconf messages
      (patch by Miroslav Kure, Closes: #389219)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 29 Sep 2006 11:58:08 -0400

ltsp (0.99debian2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * ldm: fix boolean handling
  * nbdswapd: support SWAPDIR variable in nbdswapd.conf (Closes: #387991)


