=== debian/changelog ===
ltsp (0.99debian11+etch1) stable-security; urgency=high

  * Non-maintainer upload by the security team.
  * X connections to :6 on LTSP clients were possible from any machine on the
    network. Thanks Vagrant Cascadian for the patch.
    (CVE-2008-1293, closes: #469462)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 27 Apr 2008 10:25:37 +0200
