=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Carlos Laviola <claviola@debian.org>, Michael Vogt <mvo@debian.org>, Oliver Grawert <ogra@ubuntu.com>, Petter Reinholdtsen <pere@debian.org>, Gustavo Franco <stratus@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev, po-debconf
Standards-Version: 3.7.2

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, nfs-kernel-server, lsb-release, tftpd-hpa | atftpd, openssh-client | ssh, iproute, debconf-utils, esound-clients | nas-bin, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base
Recommends: openssh-server | ssh, nbd-server
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.73e), syslinux [i386 amd64], mknbi[i386], yaboot[powerpc], aboot[alpha], sparc-utils[sparc], lsb-release
Recommends: xdebconfigurator, esound | nas
Suggests: cryptsetup, joystick [alpha amd64 arm i386 ia64]
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python (>= 2.4), python-gtk2, python-gnome2, python-glade2, gtk2-engines (>= 1:2.6.9-1) | gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 70
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.
