=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,12 @@
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
-
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	$(MAKE) -C client/getltscfg
-	cd client/lp_server && ./configure --prefix=/usr
-	$(MAKE) -C client/lp_server
-
+	$(MAKE) -C po update-po
 	touch build-stamp
 
 clean:
@@ -25,7 +22,12 @@
 	rm -f build-stamp
 
 	-$(MAKE) -C client/getltscfg clean
-	-$(MAKE) -C client/lp_server distclean
+    
+    # Using po specific Makefile to clean message catalogs
+	$(MAKE) -C po clean
+
+    # Debconf translation update
+	debconf-updatepo
 
 	dh_clean
 
@@ -34,6 +36,9 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+
+    # Using po specific Makefile to install message catalogs
+	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -44,23 +49,12 @@
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_install -i -Xarch-ids
-#	dh_installmenu -i
 	dh_installdebconf -i	
-#	dh_installlogrotate -i
-#	dh_installemacsen -i
-#	dh_installcatalogs -i
-#	dh_installpam -i
-#	dh_installmime -i
 	dh_installinit -i --no-start
-#	dh_installcron -i
-#	dh_installinfo -i
-#	dh_undocumented -i
-	dh_installman -pltsp-server
+	dh_installman -pltsp-server -pltsp-client -pldm
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-#	dh_perl -i
-#	dh_python -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -74,26 +68,13 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a
-#	dh_installmenu -a
-#	dh_installdebconf -a	
-#	dh_installlogrotate -a
-#	dh_installemacsen -a
-#	dh_installcatalogs -a
-#	dh_installpam -a
-#	dh_installmime -a
+	dh_installdebconf -a
 	dh_installinit -a --no-start
 	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
-#	dh_installcron -a
-#	dh_installinfo -a
-#	dh_undocumented -a
-#	dh_installman -a
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-#	dh_perl -a
-#	dh_python -a
-#	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
