## ltsp 0.124

=== debian/changelog ===
ltsp (0.124) edgy; urgency=low

  * add the -f option to the rm command in the 80_ltsp-sound Xsession 
    script to avoid crashers on login, closes malone #66808

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 22 Oct 2006 11:54:31 +0200

ltsp (0.123) edgy; urgency=low

  * add a workaround for the changed gstreamer autosink detection
    (closes malone #65690)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 16 Oct 2006 10:29:37 +0200

ltsp (0.122) edgy; urgency=low

  * change dependency of ldm from python-gnome2 to python-gnomecanvas
  * human-cursors-theme is fixed, remove the workaround plugin

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Oct 2006 23:14:34 +0200

ltsp (0.121) edgy; urgency=low

  * fix alternative path for cursor theme

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 12:13:56 +0200

ltsp (0.120) edgy; urgency=low

  * make sure we use the human cursors in new ltsp installs

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 11:15:43 +0200

ltsp (0.119) edgy; urgency=low

  * documentation update: new example lts.conf and proper table with key/value
    pairs in lts-parameters.txt

 -- Oliver Grawert <ogra@ubuntu.com>  Sun,  8 Oct 2006 15:14:03 +0200

ltsp (0.118) edgy; urgency=low

  * make sure we test for a special char device if looking for /dev/dsp, 
    fixes malone #56959
  * show the ip additionally to the hostname in ldm
  * switch to vt7 before stopping usplash
  * add klogd to enabled services in ltsp-build-client
  * add syslog to the enabled services in ltsp-build-client

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  6 Oct 2006 16:04:59 +0200

ltsp (0.117) edgy; urgency=low

  * use the new kernel image name for amd64
  * add DO_NOT_SWITCH_VT to the ltsp-client initscript, so we swich directly
    to the screen session from usplash instead of having a flashing tty1
    inbetween

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  5 Oct 2006 11:35:11 +0200

ltsp (0.116) edgy; urgency=low

  * make sure amd64 clients are built on amd64 and keep i386 optional on 
    that architecture to unbreak the edubuntu CD install

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Sep 2006 12:33:25 +0200

ltsp (0.115) edgy; urgency=low

  * mknbi doesnt exist on non-i386 arches so dont try to install it on 
    powerpc 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 27 Sep 2006 23:56:31 +0200

ltsp (0.114) edgy; urgency=low

  * make sure mknbi is availabe on all i386 systems for out of the box
    etherboot support.
  * replace the obsolete arch-build with a bzr-release target to make
    maintenance easier

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 24 Sep 2006 14:44:24 +0200

ltsp (0.113) edgy; urgency=low

  * make sure the Password label in ldm doesnt change color
  * better fix for esd, so now actually a second user also gets sound

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Sep 2006 16:36:13 +0200

ltsp (0.112) edgy; urgency=low

  * fix ldm edubuntu theme

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 22:36:52 +0200

ltsp (0.111) edgy; urgency=low

  * whoops, we dont want the .bzr tree in the source package
  * fix debian introduced hang of esd on relogin, closes malone (#61491)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 21:42:23 +0200

ltsp (0.110) edgy; urgency=low

  * fix printer handling in the initscript
  * fix paths in the start_printer script
  * fix the paths in the client setup initscript to match FHS fixes in 
    the ltspfs package
  * fix boolean handling of env vars in ldm
  * fix floppy handling in ldm
  * do not link the apt related plugins

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 20:07:38 +0200

ltsp (0.109) edgy; urgency=low
 .
    * make etherboot work automagically

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Sep 2006 16:00:54 +0200

ltsp (0.108) edgy; urgency=low

  - The "Detroit hackfest fixing spree" release -

  * fixes in the debian plugins (which dont really affect us):
    * when hostname is "(none)", also reset hostname variable
    * fix gdm handling of x-display-manager if installed in the chroot
    * fix typo in dpkg-divert for policy-rc.d script
    * debian plugin to keep package cache if wanted
    *  allow --include as well for debootstrap
  * whitespace fixes and check for /bin/true in ltsp-update-kernels
  * add option to quiet ltsp-update-kernels if desired
  * move /etc/exports handling to a later position for finalization
  * move rootpw handling/locking to a later position (only sequence number
    change)
  * allow --chroot option to name the chroot something other than ARCH (fix
    requested by jammcq)
  * add empty plugin directory for custom plugins
  * split initscript handling in its own plugin
  * split daemon and mtab handling into their own plugins
  * fix X_VIDEO_RAM handling in initscript (needs follow up fix of 
    malone #60805)
  * fix boolean handling in ldm
  * update Ubuntu plugin symlinks
  * remove /var/run and /var/lock from bind mounting so we dont
    double-bindmount them to tmpfs
  * remove /etc/hotplug from bindmounted dirs, to quiten the boot, we dont use
    hotplug since ages ...
  * documentation updates:
    * doc update for nbdswapd
    * dnsmasq doc examples update (typo fix)
    * doc/workstation update, fix gdm docs
    * doc/examples/qemu-ltsp fix for help function
    * doc/plugins documentation update

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 18 Sep 2006 21:17:06 +0200

ltsp (0.107) edgy; urgency=low

  * Fix typos and formatting of device entry in /etc/network/interfaces in
    ltsp-client-builder.postinst

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 16 Sep 2006 16:12:19 +0200

ltsp (0.106) edgy; urgency=low

  * make sure we disconnect /dev/nbd[n] in ldm before shutdown to avoid 
    idling nbdswapd connections
  * mark the nbd device as swap device in ltsp-client-setup initscript
  * add server/plugins/ltsp-build-client/Ubuntu/010-nbd-client to make sure
    /etc/nbd-client is there before we bind mount it to a tmpfs

